Bulk delete event passes
DELETE
https://api-v2.test.eldowallet.fr/events/:id/passes/bulk
Returns a bulk operation: track its status and results with GET /bulk-operations/{operationId}.
Good to know
- Send the IDs of the passes to delete in
passIds(notids). Deletion is permanent.
Request
path parameters
idstring requiredEvent ID (24-character hexadecimal MongoDB ID).
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Body
application/json requiredwebhookUrlstringOptional webhook URL to receive notification when operation completes. Auth headers: append #headers=Authorization:Bearer%20tokenexample:https://example.com/webhook#headers=Authorization:Bearer%20tokenforceSyncbooleanExecute synchronously (max 1000 items). If true and items >= 1000, request is rejected.default:falsepassIdsstring[] requiredArray of event pass IDs to delete
Responses
- 200
- 400
- 401
- 403
- 404
- 500
- 503
Schema
application/jsonoperationIdstring requiredUnique identifier for the bulk operationexample:507f1f77bcf86cd799439011totalItemsnumber requiredTotal number of items in the operationexample:100successCountnumber requiredNumber of successfully processed itemsexample:95failureCountnumber requiredNumber of failed itemsexample:5statusstring requiredCurrent status of the operationenum:pending,processing,completed,failedexample:pendingoperationErrorsobject[]Array of errors for failed itemsitemIdstring requiredID of the item that failedexample:507f1f77bcf86cd799439011messagestring requiredError messageexample:Client not foundcodestringError code if availableexample:404:MODEL_NOT_FOUND
resultsobject[]Array of results for successful itemsitemIdstring requiredID of the itemexample:507f1f77bcf86cd799439011resultobjectResult data
createdAtstring <date-time> requiredTimestamp when the operation was createdexample:2024-01-01T00:00:00.000ZcompletedAtstring <date-time>Timestamp when the operation was completedexample:2024-01-01T00:05:00.000Z
VALIDATION_ERROR · INVALID_JSON
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
MODEL_NOT_FOUND
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
PASS_BUILDER_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email